Last Comment Bug 384325 - UI responsiveness - applications - meta bug
: UI responsiveness - applications - meta bug
Status: RESOLVED INCOMPLETE
: perf
Product: Core Graveyard
Classification: Graveyard
Component: Tracking (show other bugs)
: unspecified
: All All
: -- major with 17 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: chris hofmann
Mentors:
Depends on: 384323 384360 91351
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 11:42 PDT by Ben Bucksch (:BenB)
Modified: 2016-07-15 12:13 PDT (History)
26 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Ben Bucksch (:BenB) 2007-06-13 11:42:45 PDT
UI responsiveness is when you click or hit a key and the app responds immediately, or does not while it should.

Goal for "responsive": UI should react within 20ms, in any situation.

--
(Bug 384323 is about the core platform.)

This bug is about the applications (Thunderbird, Firefox UI etc.), where they need to change to make this possible.

For example, if Thunderbird's junk filter or "move message to folder" function is written so that it blocks the main thread, and Thunderbird code needs to be fixed for that, this is part of this bug.
Comment 1 Ben Bucksch (:BenB) 2007-06-13 15:39:38 PDT
There's an existing meta bug 91351, marking it as blocker (bug 384323 comment 3 / 4)
Comment 2 Vlad Sukhoy 2007-06-13 19:35:37 PDT
bug 159909 should block this or bug 384323?
Comment 3 Vlad Sukhoy 2007-06-13 19:50:12 PDT
Per title, probably this, bug 261633 is what has to be fixed, it is all interdependent anyway..
Comment 4 Ben Bucksch (:BenB) 2007-06-14 04:09:37 PDT
anything where webpages hang the browser should block 384323 (core), not this. There's nothing that the Firefox UI can do about it. The only browser bugs which should block this are when e.g. reading bookmarks blocks the rest of the UI.
Comment 5 (dormant account) 2011-12-01 12:17:15 PST
I'll take this and look through dependencies to see if they are snappy-worthy
Comment 6 BMO Automation 2016-07-01 13:04:04 PDT
Marking all tracking bugs which haven't been updated since 2014 as INCOMPLETE.
If this bug is still relevant, please reopen it and move it into a bugzilla component related to the work
being tracked. The Core: Tracking component will no longer be used.

Note You need to log in before you can comment on or make changes to this bug.